/* movie-detail */

.movie-detail {
    padding: 0 15rem;
    margin: 0 auto;
    max-width: 926rem;
}
.movie-detail__title-wrap{
    margin-bottom: 20rem;
}
.movie-detail__title {
    font-size: 30rem;
    font-weight: 700;
    line-height: 1.4;
}
.movie-detail__en-title {
    color: var(--common-Black, var(--color-neutral-900, #1C2621));
    font-family: Barlow;
    font-size: 18rem;
    font-style: normal;
    font-weight: 700;
    letter-spacing: 0.9rem;
}
.movie-detail__color-text {
    color: var(--color-compornent-2-800);
    font-size: 18rem;
    line-height: 1.4;
    margin-bottom: 16rem;
}
.movie-detail__main-img {
    background-color: var(--color-neutral-900);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    margin-bottom: 10rem;
    aspect-ratio: 896 / 587;
}
.movie-detail__main-img img {
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
    transition: .3s all;
}
.movie-detail__img-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 15rem;
}
.movie-detail__img-item {
    display: flex;
    background-color: var(--color-neutral-900);
    justify-content: center;
    align-items: center;
    overflow: hidden;
    cursor: pointer;
    opacity: .5;
    transition: .3s opacity;
    aspect-ratio: 896 / 587;
}
.movie-detail__img-item:hover {
    opacity: 1;
}
.movie-detail__img-item--active {
    opacity: 1;
    pointer-events: none;
}
.movie-detail__img-item img {
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
    transition: .3s all;
    pointer-events: none;
}
.movie-detail__modal {
    margin-bottom: 50rem;
}
.movie-detail__modal-button {
    position: relative;
    width: 240rem;
    height: 48rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--btnColor);
    border-radius: 50rem;
    font-size: 14rem;
    font-weight: 700;
    color: white;
    margin: 0 auto;
    transition: .3s background-color;
}
.movie-detail__modal-button:hover {
    background-color: var(--color-primary-400);
}
.movie-detail__modal-button::before {
    position: absolute;
    content: '';
    right: 24rem;
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
    width: 10rem;
    height: 10rem;
    border: 1rem solid white;
    border-bottom: none;
    border-left: none;
}

.movie-detail-section-wrap{
    padding: 50rem 0 30rem;
    color: var(--color-neutral-900);
}
.movie-detail-section {
    margin-bottom: 40rem;
}
.movie-detail__subtitle {
    position: relative;
    font-weight: 700;
    font-size: 20rem;
    margin-bottom: 16rem;
    display: flex;
    align-items: center;
}
.movie-detail__subtitle::before {
    content: '';
    display: block;
    width: 2rem;
    height: 28rem;
    margin-right: 12rem;
}
.movie-detail__text {
    font-size: 15rem;
    line-height: 1.8;
}
.movie-detail__traler-wrap {
    position: relative;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    aspect-ratio: 16 / 9;
}
.movie-detail__dl {
    border-top: 2rem solid var(--color-neutral-300);
    border-bottom: 2rem solid var(--color-neutral-300);
    margin-bottom: 10rem;
}
.movie-detail__content {
    border-bottom: 1rem dashed #E6EBE8;
    padding: 13rem 0;
    display: flex;
}
.movie-detail__content:last-child {
    border-bottom: none;
}
.movie-detail__dt {
    width: 80rem;
    font-weight: 700;
    font-size: 12rem;
    line-height: 1.8;
}
.movie-detail__dd {
    width: calc(100% - 80rem);
    font-size: 12rem;
    line-height: 1.8;
}
.movie-detail__copyright {
    margin-top: 10rem;
    color: var(--color-neutral-700, #606B66);
    font-size: 11rem;
    line-height: 1.4;
    text-align: right;
}
.movie-detail__btn-list {
    margin-bottom: 60rem;
}
.movie-detail__btn-item {
    position: relative;
    width: 88.4%;
    height: 60rem;
    display: flex;
    align-items: center;
    font-size: 16rem;
    font-weight: 700;
    margin: 0 auto;
    border: 1rem solid var(--color-primary-400);
    padding-left: 24rem;
}
.movie-detail__btn-item + .movie-detail__btn-item {
    margin-top: 16rem;
}
.movie-detail__btn-item::after {
    content: '';
    width: 8rem;
    height: 8rem;
    display: block;
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: 8rem;
    right: 8rem;
}
.movie-detail__btn-item img {
    width: 20rem;
    height: 20rem;
    display: block;
    margin-right: 6rem;
}
.movie-detail__return {
    margin-bottom: 20rem;
}
.movie-detail__return-btn {
    position: relative;
    font-size: 14rem;
    display: inline-block;
    padding-left: 12rem;
    color: var(--color-neutral-900);
}
.movie-detail__return-btn::before {
    position: absolute;
    content: '';
    top: 50%;
    left: 0;
    transform: translateY(-50%) rotate(45deg);
    border-bottom: 1rem solid var(--color-neutral-900);
    border-left: 1rem solid var(--color-neutral-900);
    width: 5rem;
    height: 5rem;
    transition: .3s all;
}
.movie-detail__return-btn:hover::before {
    left: -5rem;
}

@media (min-width: 601px) {
    .movie-detail__img-list{
        gap: 24rem;
    }
    .movie-detail__title {
        font-size: 36rem;
    }
    .movie-detail__color-text {
        margin-bottom: 20rem;
    }
    .movie-detail__main-img {
        margin-bottom: 20rem;
    }
    .movie-detail__subtitle {
        font-size: 24rem;
    }
    .movie-detail__text {
        font-size: 16rem;
        line-height: 2;
    }
    .movie-detail__traler-wrap{
        max-width: 522rem;
    }
    .movie-detail-section-wrap{
        padding: 80rem 0 0;
    }
    .movie-detail__dl {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, auto);
        grid-column-gap: 24rem;
        grid-row-gap: 0rem;
    }
    .movie-detail__content:nth-child(1) {
        grid-area: 1 / 1 / 2 / 2;
    }
    .movie-detail__content:nth-child(2) {
        grid-area: 2 / 1 / 3 / 2;
    }
    .movie-detail__content:nth-child(3) {
        grid-area: 3 / 1 / 4 / 2;
        border-bottom: none;
    }
    .movie-detail__content:nth-child(4) {
        grid-area: 1 / 2 / 2 / 3;
    }
    .movie-detail__content:nth-child(5) {
        grid-area: 2 / 2 / 4 / 3;
        border-bottom: none;
    }
    .movie-detail__dt {
        line-height: 2;
    }
    .movie-detail__dd {
        line-height: 2;
    }
    .movie-detail__copyright {
        font-size: 11px;
    }
    .movie-detail__btn-list {
        display: flex;
        justify-content: center;
        margin-bottom: 80rem;
    }
    .movie-detail__btn-item {
        margin: 0 12rem 0 0;
        width: 24%;
    }
    .movie-detail__btn-item:last-of-type {
        margin-right: 0;
    }
    .movie-detail__btn-item + .movie-detail__btn-item {
        margin-top: 0;
    }
    .movie-detail__return {
        margin-top: 50rem;
    }
}


.movie-detail__link-list{
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 16rem;
    padding: 30rem 0;
    max-width: 305rem;
    margin: 0 auto;
}
.movie-detail__link-item {
    width: 100%;
    margin: 0 auto;
    min-height: 60px;
}
.movie-detail__link-item-link {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    font-size: 16rem;
    font-weight: 700;
    border: 1px solid var(--color-primary-400);
    padding-left: 24rem;
}
.movie-detail__link-item-link::after {
    content: '';
    width: 8rem;
    height: 8rem;
    display: block;
    background-image: url(../img/icon_ext-link_gold.svg);
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: 8rem;
    right: 8rem;
}
.movie-detail__link-item-link img {
    width: 20rem;
    height: 20rem;
    display: block;
    margin-right: 6rem;
    position: relative;
    bottom: 1rem;
}

@media (min-width: 601px) {
    .movie-detail__link-list{
        display: flex;
        gap: 10rem;
        max-width: 440rem;
    }
    .movie-detail__link-item{
        width: calc((100% - 10rem) / 2);
    }
    .movie-detail__link-item-link {
        font-size: 14rem;
        display: flex;
        justify-content: center;
        padding: 0;
    }
}

.movie-detail__img-list--hidden {
    display: none;
}
